#9672297, By Beetroot_Bertie New router is incompatible with OS 10.6.8

  • Beetroot_Bertie 22 Jun 2013 12:07:08 301 posts
    Seen 6 hours ago
    Registered 7 years ago
    Bit late to the party but was going to mention that upgrading to 10.8 might be problematic if any important software you use requires Rosetta to run, assuming you might not want to fork out for newer versions if available.
Log in or register to reply